设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 588|回复: 9

[源码] CJ506命令将图元改到00不打印图层.lsp

[复制链接]

点击这里给我发消息

发表于 2013-6-14 12:49:34 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
CJ506命令将图元改到00不打印图层.lsp
整理图元用

CJ506命令将图元改到00不打印图层.lsp

922 Bytes, 下载次数: 16, 下载积分: D豆 -1 , 活跃度 1

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

发表于 2013-6-14 13:17:55 | 显示全部楼层
如果仅仅提供附件下载,最好提供到其他比如 程序库,外挂工具,或者更专业的版块,比如理正什么,如果贴在LISP,请源码贴出来,或者具体技巧的部位贴上来和大家讨论,完整的在附件传上。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6466个

财富等级: 富甲天下

发表于 2013-6-14 22:29:11 | 显示全部楼层
都不知道有什么作用?光看名字看半天愣是没理解。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

 楼主| 发表于 2013-6-15 09:16:33 | 显示全部楼层
我这个插件是众多同构插件的一个,就是想让我自己的常用图层名称固定化程式化

点评

楼主多介绍下背景知识比较好。毕竟别人不是你肚子里面的虫。  详情 回复 发表于 2013-6-15 09:36
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 40个

财富等级: 招财进宝

发表于 2013-6-15 09:36:33 | 显示全部楼层
清风明月10 发表于 2013-6-15 09:16
我这个插件是众多同构插件的一个,就是想让我自己的常用图层名称固定化程式化

楼主多介绍下背景知识比较好。毕竟别人不是你肚子里面的虫。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

 楼主| 发表于 2013-6-15 12:15:59 | 显示全部楼层
就是将图层名固定化
如下代码,这样其它所写的软件才能在此基础上编制应对所有情况
不才,水平低,见笑
Sub feiguangshenqiufengdayin()
'非莞深秋枫打印(可显示标贯及水位线样品等)

'创建新图层0理正柱状图结束绘制点
Set layerobj = ThisDrawing.layers.Add("0理正柱状图结束绘制点")
'设图层为红色
layerobj.color = 3
'打开图层0理正柱状图结束绘制点
layerobj.LayerOn = False
'设0理正柱状图结束绘制点图层为不打印
layerobj.Plottable = False


'创建新图层0理正柱状图开始绘制点
Set layerobj = ThisDrawing.layers.Add("0理正柱状图开始绘制点")
'设图层为红色
layerobj.color = 3
'打开图层0理正柱状图开始绘制点
layerobj.LayerOn = False
'设0理正柱状图开始绘制点图层为不打印
layerobj.Plottable = False



'创建新图层000宏或命令行所画图元放于此
Set layerobj = ThisDrawing.layers.Add("000宏或命令行所画图元放于此")
'创建新图层000技术孔
Set layerobj = ThisDrawing.layers.Add("000技术孔")
'设图层为红色
layerobj.color = acRed
'打开图层000技术孔
layerobj.LayerOn = True
'创建新图层000一般孔
Set layerobj = ThisDrawing.layers.Add("000一般孔")
'设图层为绿色
layerobj.color = acGreen
'打开图层000一般孔
layerobj.LayerOn = True
'创建新图层0不打印不删除
Set layerobj = ThisDrawing.layers.Add("0不打印不删除")
'设图层为红色
layerobj.color = acRed
'设图层为不打印不删除
layerobj.Plottable = False
'关闭图层0不打印不删除
layerobj.LayerOn = False
'打印前关闭不需要的图层的开始
'定义图层变量
'Dim layerobj As AcadLayer
'创建新图层0视口
Set layerobj = ThisDrawing.layers.Add("0视口")
'设图层为粉红色
layerobj.color = acGreen
'隐藏图层0视口
layerobj.LayerOn = True
'设0视口图层为不打印
layerobj.Plottable = False
'创建新图层0江苏院A3图框不打印
Set layerobj = ThisDrawing.layers.Add("0江苏院A3图框不打印")
'显示图层0江苏院A3图框不打印
layerobj.LayerOn = True
'设0江苏院A3图框不打印图层为不打印
layerobj.Plottable = False
'创建新图层最终报告图框
Set layerobj = ThisDrawing.layers.Add("最终报告图框")
'打开图层最终报告图框
layerobj.LayerOn = True
'创建新图层blkFrame
Set layerobj = ThisDrawing.layers.Add("blkFrame")
'设图层色
layerobj.color = 11

'打开图层blkFrame
layerobj.LayerOn = True
layerobj.Plottable = False
'创建新图层GiCAD_ShuiWeiXian
Set layerobj = ThisDrawing.layers.Add("GiCAD_ShuiWeiXian")
'打开图层GiCAD_ShuiWeiXian
layerobj.LayerOn = True
'设GiCAD_ShuiWeiXian图层为打印
layerobj.Plottable = True
'创建新图层GiCAD_ShuiWei
Set layerobj = ThisDrawing.layers.Add("GiCAD_ShuiWei")
'打开图层GiCAD_ShuiWei
layerobj.LayerOn = True
'设GiCAD_ShuiWei图层为打印
layerobj.Plottable = True
'创建新图层中桩地面线
Set layerobj = ThisDrawing.layers.Add("中桩地面线")
'关闭图层中桩地面线
layerobj.LayerOn = False
'设中桩地面线图层为不打印
layerobj.Plottable = False
'创建新图层0不打印
Set layerobj = ThisDrawing.layers.Add("0不打印")
'设图层为红色
layerobj.color = acRed
'设图层为不打印
layerobj.Plottable = False
'创建新图层0剖面存放的橱窗
Set layerobj = ThisDrawing.layers.Add("0剖面存放的橱窗")
'设图层为红色
layerobj.color = acRed
'设图层为不打印
layerobj.Plottable = False
'创建新图层GiCAD_Temp
Set layerobj = ThisDrawing.layers.Add("GiCAD_Temp")
'关闭图层GiCAD_Temp
layerobj.LayerOn = False
layerobj.Plottable = False
'创建新图层0dxm说明
Set layerobj = ThisDrawing.layers.Add("0dxm说明")
'关闭图层0dxm说明
layerobj.LayerOn = False
'设图层为红色
layerobj.color = acRed
'设图层为不打印
layerobj.Plottable = False
'创建新图层0辅助线
Set layerobj = ThisDrawing.layers.Add("0辅助线")
'关闭图层0辅助线
layerobj.LayerOn = False
'设图层为红色
layerobj.color = acRed
'设图层为不打印
layerobj.Plottable = False
'创建新图层GiCAD_BiaoGuan
Set layerobj = ThisDrawing.layers.Add("GiCAD_BiaoGuan")
'打开图层GiCAD_BiaoGuan并设为打印
layerobj.LayerOn = True
layerobj.Plottable = True
'创建新图层GiCAD_QuYang
Set layerobj = ThisDrawing.layers.Add("GiCAD_QuYang")
'打开图层GiCAD_QuYang并设置为打印
layerobj.LayerOn = True
layerobj.Plottable = True
'创建新图层00不打印
Set layerobj = ThisDrawing.layers.Add("00不打印")
'设图层为红色
layerobj.color = acRed
'设图层为不打印
layerobj.Plottable = False
'创建新图层00邓
Set layerobj = ThisDrawing.layers.Add("00邓")
'关闭图层00邓
layerobj.LayerOn = False
'设图层为红色
layerobj.color = acRed
'设图层为不打印
layerobj.Plottable = False
'创建新图层ass
Set layerobj = ThisDrawing.layers.Add("ass")
'设图层色
layerobj.color = 11
'关闭图层GiCAD_Temp
layerobj.LayerOn = True
layerobj.Plottable = False
'创建新图层0ID
Set layerobj = ThisDrawing.layers.Add("0ID")
'打开图层0ID
layerobj.LayerOn = True
'设图层为黑白
layerobj.color = acWhite
ThisDrawing.ActiveLayer = layerobj
'打印前关闭不需要的图层的结束







'以下专门为打印彩色CAD设置的图层及颜色,因为有些颜色在纸上不明显不方便使用,所以规定也几种颜色,比如红线宜与建筑物轮廓线、基坑线相区别,故这三者分别为红色类、蓝色类、绿色类
'创建新图层000技术孔
Set layerobj = ThisDrawing.layers.Add("0000地形线(也可含地物)DXM灰色8")
'设图层为灰色8

    layerobj.color = 8



'打开图层0000地形线(也可含地物)DXM灰色8
layerobj.LayerOn = True


Set layerobj = ThisDrawing.layers.Add("0000红线DXM红色1")
'设图层为红色
layerobj.color = acRed
'打开图层0000红线DXM红色1
layerobj.LayerOn = True

Set layerobj = ThisDrawing.layers.Add("0000基坑外边缘轮廓线DXM绿色3")
'设图层为绿色
layerobj.color = acGreen
'打开图层0000基坑外边缘轮廓线DXM绿色3
layerobj.LayerOn = True


Set layerobj = ThisDrawing.layers.Add("0000建筑物轮廓线DXM青色4")
'设图层为青色
layerobj.color = acCyan
'打开图层0000建筑物轮廓线DXM青色4
layerobj.LayerOn = True


Set layerobj = ThisDrawing.layers.Add("0000建筑物名称及层数等文字DXM洋红6")
'设图层为洋红色
layerobj.color = acMagenta
'打开图层0000建筑物名称及层数等文字DXM洋红6
layerobj.LayerOn = True


Set layerobj = ThisDrawing.layers.Add("0000实际钻孔白色7DXM“PMT_LAYER”亦如此")
'设图层为白色
layerobj.color = acWhite
'打开图层0000实际钻孔白色7DXM“PMT_LAYER”亦如此
layerobj.LayerOn = True



'启动理正柱状图中的修改命令
ThisDrawing.SendCommand "bplot "

End Sub

点评

楼主发错版块了。  发表于 2013-6-15 14:18
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

 楼主| 发表于 2013-6-15 14:54:16 | 显示全部楼层
不同类型代码,但同一目的
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-7-29 20:05:48 | 显示全部楼层
谢谢版主分享
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-8-12 11:19 , Processed in 0.205248 second(s), 63 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表